summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-03-03 21:38:16 +0100
committerJim Meyering <jim@meyering.net>2007-03-03 21:38:16 +0100
commitf0537a71f1e414ceb7ecaa7f872b73b401209082 (patch)
tree32b7ed19495f8c40d75ddb1b98afd14e36553168 /tests
parent1187f011d3629487601472f37cd5e5ccfcdb0fdc (diff)
downloadcoreutils-f0537a71f1e414ceb7ecaa7f872b73b401209082.tar.xz
pwd-unreadable-parent: Skip test on ia64/Linux, too.
* tests/misc/pwd-unreadable-parent: Also skip when $REPLACE_GETCWD. Reported by Bob Proulx.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/pwd-unreadable-parent8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/misc/pwd-unreadable-parent b/tests/misc/pwd-unreadable-parent
index 801805ad7..72c666ef3 100755
--- a/tests/misc/pwd-unreadable-parent
+++ b/tests/misc/pwd-unreadable-parent
@@ -32,6 +32,14 @@ test $host_os != linux-gnu &&
(exit 77); exit 77
}
+# Linux ia64 has the gl_FUNC_GETCWD_ABORT_BUG, so we can't use
+# the system getcwd.
+test $REPLACE_GETCWD = 1 &&
+ {
+ echo 1>&2 "$0: can't use buggy system getcwd; skipping this test"
+ (exit 77); exit 77
+ }
+
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0